<template>
  <div>
    <h1 class="mb-8">Do you have an allergy to tretinoin?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      :disabled="!radioSelected"
      text="Next"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin, referMixin],
name: "AntiAging1",
  data() {
    return {
      choices: [
        'Yes',
        'No',
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.ANTI_AGING, newVal, 'stage_1')
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('Sorry!', 'We cannot prescribe treatment because all of our custom blends for aging contain tretinoin.')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
